summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNullspoon <nullspoon@iohq.net>2014-09-21 14:00:26 -0600
committerNullspoon <nullspoon@iohq.net>2014-09-21 14:00:26 -0600
commitb696a3ad149b4a338c0895d10532f29961ea8a2b (patch)
tree2847978c6ba313e1a69e2bfa4abce1b52e4808f9
parentabf5f0a1742a3deca17ce0c5f7e93ff21e5f7b33 (diff)
downloadbin-b696a3ad149b4a338c0895d10532f29961ea8a2b.tar.gz
bin-b696a3ad149b4a338c0895d10532f29961ea8a2b.tar.xz
Added the virtualize script
-rwxr-xr-xvirtualize11
1 files changed, 11 insertions, 0 deletions
diff --git a/virtualize b/virtualize
new file mode 100755
index 0000000..a82c28b
--- /dev/null
+++ b/virtualize
@@ -0,0 +1,11 @@
+#!/usr/bin/env bash
+
+if [[ -z ${1} ]]; then
+ echo -e "
+Please specify either a system drive to boot (-hda <path>), or a live iso file
+to serve as the bootable virtual cdrom device (-cdrom <path>.iso).\n"
+ exit 1
+fi
+
+# Execute
+qemu-system-x86_64 -enable-kvm -machine accel=kvm -vga std -m 2048 ${@}

Generated by cgit